#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: aeson
version: 0.7.0.6
id: aeson-0.7.0.6-5ac7c20a63fc09c0ee77dacb9472f023

license: BSD3
copyright: (c) 2011-2014 Bryan O'\''Sullivan
           (c) 2011 MailRank, Inc.
maintainer: Bryan O'\''Sullivan <bos@serpentine.com>
stability: experimental
homepage: https://github.com/bos/aeson
package-url:
synopsis: Fast JSON parsing and encoding
description: A JSON parsing and encoding library optimized for ease of use
             and high performance.
             .
             To get started, see the documentation for the @Data.Aeson@ module
             below.
             .
             Parsing performance on an early 2011 MacBook Pro (2.2GHz Core i7),
             running 64-bit GHC 7.6.3, for mostly-English tweets from Twitter'\''s
             JSON search API:
             .
             * 0.8 KB: 34124 msg\/sec (27.8 MB\/sec)
             .
             * 6.4 KB: 6833 msg\/sec (43.0 MB\/sec)
             .
             * 11.8 KB: 3410 msg\/sec (39.2 MB\/sec)
             .
             * 31.2 KB: 1157 msg\/sec (35.3 MB\/sec)
             .
             * 61.5 KB: 542 msg\/sec (32.5 MB\/sec)
             .
             Handling heavily-escaped text is a little more work.  Here is
             parsing performance with Japanese tweets, where much of the text
             is entirely Unicode-escaped.
             .
             * 14.6 KB: 2101 msg\/sec (30.0 MB\/sec)
             .
             * 44.1 KB: 667 msg\/sec (28.7 MB\/sec)
             .
             * 82.9 KB: 360 msg\/sec (29.2 MB\/sec)
             .
             Encoding performance on the same machine and data:
             .
             * English, 0.8 KB: 109697 msg\/sec (89.3 MB\/sec)
             .
             * English, 6.4 KB: 18517 msg\/sec (116.4 MB\/sec)
             .
             * Engish, 61.5 KB: 1963 msg\/sec (118.0 MB\/sec)
             .
             * Japanese, 14.6 KB: 12140 msg\/sec (173.5 MB\/sec)
             .
             * Japanese, 44.1 KB: 3980 msg\/sec (171.3 MB\/sec)
             .
             (A note on naming: in Greek mythology, Aeson was the father of Jason.)
category: Text, Web, JSON
author: Bryan O'\''Sullivan <bos@serpentine.com>
exposed: True
exposed-modules: Data.Aeson Data.Aeson.Encode Data.Aeson.Generic
                 Data.Aeson.Parser Data.Aeson.Types Data.Aeson.TH
hidden-modules: Data.Aeson.Functions Data.Aeson.Parser.Internal
                Data.Aeson.Types.Class Data.Aeson.Types.Instances
                Data.Aeson.Types.Internal Data.Aeson.Encode.ByteString
                Data.Aeson.Types.Generic
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/aeson-0.7.0.6
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/aeson-0.7.0.6
              /usr/local/lib
hs-libraries: HSaeson-0.7.0.6
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: attoparsec-0.10.4.0-7ee6fb69f8d373108d8583068f8120f7
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         dlist-0.7.1-1d53c8a00968b709f6ec986b39f072d0
         ghc-prim-0.3.1.0-954cb57749cf319beafdc89b3415422c
         hashable-1.2.2.0-7cfb61f0c68a03cacd19199a33e9c118
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         old-locale-1.0.0.6-09baf1dbc5be8338e5eba7c5bb515505
         scientific-0.3.3.0-6a449cd704d3545346905c1931ef316b
         syb-0.4.1-be94ebe67c3607f5df1dfcc1906f5d5c
         template-haskell-2.9.0.0-209b23d5bd6678f5bc383f0d56742080
         text-1.1.0.0-ae5f08307fb9d06679d77b9fce515032
         time-1.4.2-9927ada6d5503e0b70e51a11902c8b61
         unordered-containers-0.2.4.0-ab8d3f7773b26c54df0958504a88212e
         vector-0.10.9.1-2584ae046ff7f59a3c2a1976714626fe
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/aeson-0.7.0.6/html/aeson.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/aeson-0.7.0.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
